Bug 135377 - Eliminate "FractionConversion" from CSSPrimitiveValue::convertToLength
Summary: Eliminate "FractionConversion" from CSSPrimitiveValue::convertToLength
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-29 01:49 PDT by Martin Hodovan
Modified: 2014-07-31 11:21 PDT (History)
8 users (show)

See Also:


Attachments
Proposed patch (9.86 KB, patch)
2014-07-29 01:56 PDT, Martin Hodovan
darin: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2 (495.34 KB, application/zip)
2014-07-29 09:04 PDT, Build Bot
no flags Details
Patch for landing (9.86 KB, patch)
2014-07-31 06:37 PDT, Martin Hodovan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Hodovan 2014-07-29 01:49:23 PDT
Eliminate "FractionConversion" from CSSPrimitiveValue::convertToLength
Comment 1 Martin Hodovan 2014-07-29 01:56:17 PDT
Created attachment 235671 [details]
Proposed patch

Patch by Timothy Loh, backported from Blink: https://codereview.chromium.org/71253002
Comment 2 Build Bot 2014-07-29 09:04:03 PDT
Comment on attachment 235671 [details]
Proposed patch

Attachment 235671 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6253934939209728

New failing tests:
storage/indexeddb/intversion-revert-on-abort.html
Comment 3 Build Bot 2014-07-29 09:04:06 PDT
Created attachment 235691 [details]
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-16  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 4 Alexey Proskuryakov 2014-07-30 09:50:59 PDT
> storage/indexeddb/intversion-revert-on-abort.html

This test was flaky yesterday; the offending patch has already been rolled out.
Comment 5 WebKit Commit Bot 2014-07-31 04:45:44 PDT
Comment on attachment 235671 [details]
Proposed patch

Rejecting attachment 235671 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 235671, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

/Volumes/Data/EWS/WebKit/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://webkit-queues.appspot.com/results/5254335390810112
Comment 6 Martin Hodovan 2014-07-31 06:37:03 PDT
Created attachment 235826 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2014-07-31 11:21:10 PDT
Comment on attachment 235826 [details]
Patch for landing

Clearing flags on attachment: 235826

Committed r171871: <http://trac.webkit.org/changeset/171871>
Comment 8 WebKit Commit Bot 2014-07-31 11:21:15 PDT
All reviewed patches have been landed.  Closing bug.